Index: mythplugins/mythvideo/mythvideo/videodlg.h
===================================================================
--- mythplugins/mythvideo/mythvideo/videodlg.h	(revision 20848)
+++ mythplugins/mythvideo/mythvideo/videodlg.h	(working copy)
@@ -28,6 +28,7 @@
 
 enum CoverDownloadErrorState { esOK, esError, esTimeout };
 enum FanartDownloadErrorState { fesOK, fesError, fesTimeout };
+enum BannerDownloadErrorState { besOK, besError, besTimeout };
 
 class VideoDialog : public MythScreenType
 {
@@ -68,6 +69,8 @@
 
     void EditMetadata();
     void VideoSearch();
+    void TitleSubtitleSearch();
+    void ImageOnlyDownload();
     void ManualVideoUID();
     void ManualVideoTitle();
     void ResetMetadata();
@@ -93,6 +96,7 @@
 
     // Called when the underlying data for an item changes
     void OnVideoSearchListSelection(QString video_uid);
+    void OnVideoImgSearchListSelection(QString video_uid);
 
     void OnManualVideoUID(QString video_uid);
     void OnManualVideoTitle(QString title);
@@ -140,6 +144,7 @@
     // OnVideoPosterSetDone() stop wait background
     void StartVideoPosterSet(Metadata *metadata);
     void StartVideoFanartSet(Metadata *metadata);
+    void StartVideoBannerSet(Metadata *metadata);
 
     // StartVideoSearchByUID() start wait background
     //   OnVideoSearchByUIDDone() stop wait background
@@ -150,6 +155,8 @@
     //   OnVideoSearchByTitleDone()
     void StartVideoSearchByTitle(QString video_uid, QString title,
             Metadata *metadata);
+    void StartVideoSearchByTitleSubtitle(QString title,
+            QString subtitle, Metadata *metadata);
 
   private slots:
     // called during StartVideoPosterSet
@@ -159,17 +166,27 @@
     void OnFanartURL(QString uri, Metadata *metadata);
     void OnFanartCopyFinished(FanartDownloadErrorState error, QString errorMsg,
                               Metadata *metadata);
+    void OnBannerURL(QString uri, Metadata *metadata);
+    void OnBannerCopyFinished(BannerDownloadErrorState error, QString errorMsg,
+                              Metadata *metadata);
 
     // called during StartVideoSearchByTitle
     void OnVideoSearchByTitleDone(bool normal_exit,
                                   const SearchListResults &results,
                                   Metadata *metadata);
+    void OnVideoSearchByTitleSubtitleDone(bool normal_exit,
+                                  QStringList result,
+                                  Metadata *metadata);
+    void OnVideoImageOnlyDone(bool normal_exit,
+                                  const SearchListResults &results,
+                                  Metadata *metadata);
 
 // and now the end points
 
     // StartVideoPosterSet end
     void OnVideoPosterSetDone(Metadata *metadata);
     void OnVideoFanartSetDone(Metadata *metadata);
+    void OnVideoBannerSetDone(Metadata *metadata);
 
     // StartVideoSearchByUID end
     void OnVideoSearchByUIDDone(bool normal_exit,
Index: mythplugins/mythvideo/mythvideo/metadatalistmanager.cpp
===================================================================
--- mythplugins/mythvideo/mythvideo/metadatalistmanager.cpp	(revision 20848)
+++ mythplugins/mythvideo/mythvideo/metadatalistmanager.cpp	(working copy)
@@ -112,10 +112,11 @@
     MSqlQuery query(MSqlQuery::InitCon());
     query.setForwardOnly(true);
     const QString BaseMetadataQuery(
-        "SELECT title, director, plot, rating, year, userrating,"
-        "length, filename, showlevel, coverfile, inetref, childid,"
-        "browse, playcommand, category, intid, trailer, screenshot,"
-        "banner, fanart, host FROM videometadata");
+        "SELECT title, director, plot, rating, year, "
+        "userrating, length, filename, showlevel, "
+        "coverfile, inetref, childid, browse, playcommand, category, "
+        "intid, trailer, screenshot, banner, fanart, "
+        "subtitle, season, episode, host FROM videometadata");
 
     query.prepare(BaseMetadataQuery);
 
Index: mythplugins/mythvideo/mythvideo/metadata.cpp
===================================================================
--- mythplugins/mythvideo/mythvideo/metadata.cpp	(revision 20848)
+++ mythplugins/mythvideo/mythvideo/metadata.cpp	(working copy)
@@ -89,10 +89,11 @@
   public:
     MetadataImp(const QString &filename, const QString &trailer, const QString &coverfile,
              const QString &screenshot, const QString &banner, const QString &fanart,
-             const QString &title, int year,
+             const QString &title, const QString &subtitle, int year,
              const QString &inetref, const QString &director,
              const QString &plot, float userrating,
              const QString &rating, int length,
+             int season, int episode,
              int id, ParentalLevel::Level showlevel, int categoryID,
              int childID, bool browse,
              const QString &playcommand, const QString &category,
@@ -100,14 +101,15 @@
              const country_list &countries,
              const cast_list &cast,
              const QString &host = "") :
-        m_title(title),
+        m_title(title), m_subtitle(subtitle),
         m_inetref(inetref), m_director(director), m_plot(plot),
         m_rating(rating), m_playcommand(playcommand), m_category(category),
         m_genres(genres), m_countries(countries), m_cast(cast),
         m_filename(filename), m_trailer(trailer), m_coverfile(coverfile),
         m_screenshot(screenshot), m_banner(banner), m_fanart(fanart),
         m_host(host), m_categoryID(categoryID), m_childID(childID),
-        m_year(year), m_length(length), m_showlevel(showlevel),
+        m_year(year), m_length(length), m_season(season),
+        m_episode(episode), m_showlevel(showlevel),
         m_browse(browse), m_id(id), m_userrating(userrating)
     {
         VideoCategory::GetCategory().get(m_categoryID, m_category);
@@ -128,6 +130,7 @@
         if (this != &rhs)
         {
             m_title = rhs.m_title;
+            m_subtitle = rhs.m_subtitle;
             m_inetref = rhs.m_inetref;
             m_director = rhs.m_director;
             m_plot = rhs.m_plot;
@@ -148,6 +151,8 @@
             m_childID = rhs.m_childID;
             m_year = rhs.m_year;
             m_length = rhs.m_length;
+            m_season = rhs.m_season;
+            m_episode = rhs.m_episode;
             m_showlevel = rhs.m_showlevel;
             m_browse = rhs.m_browse;
             m_id = rhs.m_id;
@@ -180,6 +185,9 @@
         m_title = title;
     }
 
+    const QString &getSubtitle() const { return m_subtitle; }
+    void SetSubtitle(const QString &subtitle) { m_subtitle = subtitle; }
+
     const QString &GetInetRef() const { return m_inetref; }
     void SetInetRef(const QString &inetRef) { m_inetref = inetRef; }
 
@@ -249,6 +257,12 @@
     int GetLength() const { return m_length; }
     void SetLength(int length) { m_length = length; }
 
+    int GetSeason() const { return m_season; }
+    void SetSeason(int season) { m_season = season; }
+
+    int GetEpisode() const { return m_episode; }
+    void SetEpisode(int episode) { m_episode = episode; }
+
     ParentalLevel::Level GetShowLevel() const { return m_showlevel; }
     void SetShowLevel(ParentalLevel::Level showLevel)
     {
@@ -289,6 +303,7 @@
 
   private:
     QString m_title;
+    QString m_subtitle;
     QString m_inetref;
     QString m_director;
     QString m_plot;
@@ -310,6 +325,8 @@
     int m_childID;
     int m_year;
     int m_length;
+    int m_season;
+    int m_episode;
     ParentalLevel::Level m_showlevel;
     bool m_browse;
     unsigned int m_id;  // videometadata.intid
@@ -383,10 +400,13 @@
 {
     MetadataImp tmp(m_filename, VIDEO_TRAILER_DEFAULT, VIDEO_COVERFILE_DEFAULT,
                     VIDEO_SCREENSHOT_DEFAULT, VIDEO_BANNER_DEFAULT,
-                    VIDEO_FANART_DEFAULT, Metadata::FilenameToTitle(m_filename),
-                    VIDEO_YEAR_DEFAULT, VIDEO_INETREF_DEFAULT,
-                    VIDEO_DIRECTOR_DEFAULT, VIDEO_PLOT_DEFAULT, 0.0,
-                    VIDEO_RATING_DEFAULT, 0, m_id,
+                    VIDEO_FANART_DEFAULT, Metadata::FilenameToMeta(m_filename, 1),
+                    Metadata::FilenameToMeta(m_filename, 4), VIDEO_YEAR_DEFAULT, 
+                    VIDEO_INETREF_DEFAULT, VIDEO_DIRECTOR_DEFAULT, 
+                    VIDEO_PLOT_DEFAULT, 0.0,
+                    VIDEO_RATING_DEFAULT, 0, 
+                    Metadata::FilenameToMeta(m_filename, 2).toInt(), 
+                    Metadata::FilenameToMeta(m_filename, 3).toInt(), m_id,
                     ParentalLevel::plLowest, 0, -1, true, "", "",
                     Metadata::genre_list(), Metadata::country_list(),
                     Metadata::cast_list(), m_host);
@@ -484,7 +504,10 @@
     m_screenshot = query.value(17).toString();
     m_banner = query.value(18).toString();
     m_fanart = query.value(19).toString();
-    m_host = query.value(20).toString();
+    m_subtitle = query.value(20).toString();
+    m_season = query.value(21).toInt();
+    m_episode = query.value(22).toInt();
+    m_host = query.value(23).toString();
 
     VideoCategory::GetCategory().get(m_categoryID, m_category);
 
@@ -501,13 +524,19 @@
 void MetadataImp::saveToDatabase()
 {
     if (m_title.isEmpty())
-        m_title = Metadata::FilenameToTitle(m_filename);
+        m_title = Metadata::FilenameToMeta(m_filename, 1);
+    if (m_subtitle.isEmpty())
+        m_subtitle = Metadata::FilenameToMeta(m_filename, 4);
     if (m_director.isEmpty())
         m_director = VIDEO_DIRECTOR_UNKNOWN;
     if (m_plot.isEmpty())
         m_plot = VIDEO_PLOT_DEFAULT;
     if (m_rating.isEmpty())
         m_rating = VIDEO_RATING_DEFAULT;
+    if (m_season == 0)
+        m_season = Metadata::FilenameToMeta(m_filename, 2).toInt();
+    if (m_episode == 0)
+        m_episode = Metadata::FilenameToMeta(m_filename, 3).toInt();
     if (m_coverfile.isEmpty())
         m_coverfile = VIDEO_COVERFILE_DEFAULT;
     if (m_screenshot.isEmpty())
@@ -533,20 +562,21 @@
     {
         m_browse = gContext->GetNumSetting("VideoNewBrowsable", 1);
 
-        query.prepare("INSERT INTO videometadata (title,director,plot,"
-                      "rating,year,userrating,length,filename,showlevel,"
-                      "coverfile,inetref,browse,trailer,screenshot,banner,"
-                      "fanart,host) VALUES (:TITLE, :DIRECTOR, :PLOT, :RATING, "
-                      ":YEAR, :USERRATING, :LENGTH, :FILENAME, :SHOWLEVEL, "
-                      ":COVERFILE, :INETREF, :BROWSE, :TRAILER, :SCREENSHOT, "
-                      ":BANNER, :FANART, :HOST)");
+        query.prepare("INSERT INTO videometadata (title,subtitle,director,plot,"
+                      "rating,year,userrating,length,season,episode,filename,"
+                      "showlevel,coverfile,inetref,browse,trailer,screenshot,banner,"
+                      "fanart,host) VALUES (:TITLE, :SUBTITLE, :DIRECTOR, :PLOT, "
+                      ":RATING, :YEAR, :USERRATING, :LENGTH, :SEASON, :EPISODE, "
+                      ":FILENAME, :SHOWLEVEL, :COVERFILE, :INETREF, :BROWSE, "
+                      ":TRAILER, :SCREENSHOT, :BANNER, :FANART, :HOST)");
     }
     else
     {
-        query.prepare("UPDATE videometadata SET title = :TITLE, "
+        query.prepare("UPDATE videometadata SET title = :TITLE, subtitle = :SUBTITLE, "
                       "director = :DIRECTOR, plot = :PLOT, rating= :RATING, "
                       "year = :YEAR, userrating = :USERRATING, "
-                      "length = :LENGTH, filename = :FILENAME, trailer = :TRAILER, "
+                      "length = :LENGTH, season = :SEASON, episode = :EPISODE, "
+                      "filename = :FILENAME, trailer = :TRAILER, "
                       "showlevel = :SHOWLEVEL, coverfile = :COVERFILE, "
                       "screenshot = :SCREENSHOT, banner = :BANNER, fanart = :FANART, "
                       "inetref = :INETREF, browse = :BROWSE, host = :HOST, "
@@ -560,12 +590,15 @@
     }
 
     query.bindValue(":TITLE", m_title);
+    query.bindValue(":SUBTITLE", m_subtitle);
     query.bindValue(":DIRECTOR", m_director);
     query.bindValue(":PLOT", m_plot);
     query.bindValue(":RATING", m_rating);
     query.bindValue(":YEAR", m_year);
     query.bindValue(":USERRATING", m_userrating);
     query.bindValue(":LENGTH", m_length);
+    query.bindValue(":SEASON", m_season);
+    query.bindValue(":EPISODE", m_episode);
     query.bindValue(":FILENAME", m_filename);
     query.bindValue(":TRAILER", m_trailer);
     query.bindValue(":SHOWLEVEL", m_showlevel);
@@ -795,20 +828,53 @@
     }
 }
 
-QString Metadata::FilenameToTitle(const QString &file_name)
+QString Metadata::FilenameToMeta(const QString &file_name, int position)
 {
+    // position 1 returns title, 2 returns season,
+    //          3 returns episode, 4 returns subtitle
+ 
     QString title = file_name.right(file_name.length() -
                                     file_name.lastIndexOf('/') - 1);
+
     title.replace(QRegExp("_"), " ");
     title.replace(QRegExp("%20"), " ");
+    title.replace(QRegExp("-"), " ");
     title = title.left(title.lastIndexOf('.'));
     title.replace(QRegExp("\\."), " ");
 
-    title = eatBraces(title, "[", "]");
-    title = eatBraces(title, "(", ")");
-    title = eatBraces(title, "{", "}");
+    QRegExp group("^(.*[^s0-9])" // title
+                  "(?:[s])?(\\d{1,3})(?:\\s|-)?(?:[ex])" //Season
+                  "(?:\\s|-)?(\\d{1,3})" // Episode
+                  "(.*)$", // subtitle
+                  Qt::CaseInsensitive);
+    int pos = group.indexIn(title);
+    if (pos > -1)
+    {
+        QString groupResult = group.cap(0);
+        QString title = group.cap(1);
+        QString season = group.cap(2);
+        QString episode = group.cap(3);
+        QString subtitle = group.cap(4);
+        if (position == 1 && !title.isEmpty())
+            return title.trimmed();
+        else if (position == 2)
+            return season.trimmed();
+        else if (position == 3)
+            return episode.trimmed();
+        else if (position == 4)
+            return subtitle.trimmed();
+    }
+    else if (position == 1)
+        {
+        title = eatBraces(title, "[", "]");
+        title = eatBraces(title, "(", ")");
+        title = eatBraces(title, "{", "}");
+        return title.trimmed();
+        }
+    else if (position == 2 || position == 3)
+        return QString("0");
 
-    return title.trimmed();
+    return QString("");
 }
 
 namespace
@@ -829,13 +895,14 @@
     return ret;
 }
 
-Metadata::Metadata(const QString &filename, const QString &trailer,
-             const QString &coverfile, const QString &screenshot,
-             const QString &banner, const QString &fanart,
-             const QString &title, int year,
+Metadata::Metadata(const QString &filename, const QString &trailer, 
+             const QString &coverfile, const QString &screenshot, 
+             const QString &banner, const QString &fanart, 
+             const QString &title, const QString &subtitle, int year,
              const QString &inetref, const QString &director,
              const QString &plot, float userrating,
              const QString &rating, int length,
+             int season, int episode,
              int id, ParentalLevel::Level showlevel, int categoryID,
              int childID, bool browse,
              const QString &playcommand, const QString &category,
@@ -845,10 +912,10 @@
              const QString &host)
 {
     m_imp = new MetadataImp(filename, trailer, coverfile, screenshot, banner,
-                            fanart, title, year, inetref, director, plot,
-                            userrating, rating, length, id, showlevel,
-                            categoryID, childID, browse, playcommand, category,
-                            genres, countries, cast, host);
+                            fanart, title, subtitle, year, inetref, director, plot,
+                            userrating, rating, length, season, episode, id, 
+                            showlevel, categoryID, childID, browse, playcommand,
+                            category, genres, countries, cast, host);
 }
 
 Metadata::~Metadata()
@@ -911,6 +978,16 @@
     m_imp->SetTitle(title);
 }
 
+const QString &Metadata::GetSubtitle() const
+{
+    return m_imp->getSubtitle();
+}
+ 
+void Metadata::SetSubtitle(const QString &subtitle)
+{
+    m_imp->SetSubtitle(subtitle);
+}
+
 int Metadata::GetYear() const
 {
     return m_imp->getYear();
@@ -981,6 +1058,26 @@
     m_imp->SetLength(length);
 }
 
+int Metadata::GetSeason() const
+{
+    return m_imp->GetSeason();
+}
+
+void Metadata::SetSeason(int season)
+{
+    m_imp->SetSeason(season);
+}
+
+int Metadata::GetEpisode() const
+{
+    return m_imp->GetEpisode();
+}
+
+void Metadata::SetEpisode(int episode)
+{
+    m_imp->SetEpisode(episode);
+}
+
 unsigned int Metadata::GetID() const
 {
     return m_imp->GetID();
Index: mythplugins/mythvideo/mythvideo/globalsettings.cpp
===================================================================
--- mythplugins/mythvideo/mythvideo/globalsettings.cpp	(revision 20848)
+++ mythplugins/mythvideo/mythvideo/globalsettings.cpp	(working copy)
@@ -235,6 +235,66 @@
     return gc;
 }
 
+HostLineEdit *SearchTVListingsCommand()
+{
+    HostLineEdit *gc = new HostLineEdit("mythvideo.TVListCommandLine");
+    gc->setLabel(QObject::tr("Command to search for TV shows in MythVideo"));
+    gc->setValue(GetShareDir() + "mythvideo/scripts/ttvdb.py -M");
+    gc->setHelpText(QObject::tr("This command must be "
+                    "executable by the user running MythVideo."));
+    return gc;
+}
+
+HostLineEdit *GetTVPostersCommand()
+{
+    HostLineEdit *gc = new HostLineEdit("mythvideo.TVPosterCommandLine");
+    gc->setLabel(QObject::tr("Command to search for TV Season posters"));
+    gc->setValue(GetShareDir() + "mythvideo/scripts/ttvdb.py -mP");
+    gc->setHelpText(QObject::tr("This command must be "
+                    "executable by the user running MythVideo."));
+    return gc;
+}
+
+HostLineEdit *GetTVFanartCommand()
+{
+    HostLineEdit *gc = new HostLineEdit("mythvideo.TVFanartCommandLine");
+    gc->setLabel(QObject::tr("Command to search for TV fanart"));
+    gc->setValue(GetShareDir() + "mythvideo/scripts/ttvdb.py -tF");
+    gc->setHelpText(QObject::tr("This command must be "
+                    "executable by the user running MythVideo."));
+    return gc;
+}
+
+HostLineEdit *GetTVBannerCommand()
+{
+    HostLineEdit *gc = new HostLineEdit("mythvideo.TVBannerCommandLine");
+    gc->setLabel(QObject::tr("Command to search for TV banners"));
+    gc->setValue(GetShareDir() + "mythvideo/scripts/ttvdb.py -tB");
+    gc->setHelpText(QObject::tr("This command must be "
+                    "executable by the user running MythVideo."));
+    return gc;
+}
+
+HostLineEdit *GetTVDataCommand()
+{
+    HostLineEdit *gc = new HostLineEdit("mythvideo.TVDataCommandLine");
+    gc->setLabel(QObject::tr("Command to extract data for TV Episodes"));
+    gc->setValue(GetShareDir() + "mythvideo/scripts/ttvdb.py -D");
+    gc->setHelpText(QObject::tr("This command must be "
+                    "executable by the user running MythVideo."));
+    return gc;
+}
+
+HostLineEdit *GetTVTitleSubCommand()
+{
+    HostLineEdit *gc = new HostLineEdit("mythvideo.TVTitleSubCommandLine");
+    gc->setLabel(QObject::tr("Command to search for TV by Title/Subtitle"));
+    gc->setValue(GetShareDir() + "mythvideo/scripts/ttvdb.py -N");
+    gc->setHelpText(QObject::tr("This command must be "
+                    "executable by the user running MythVideo."));
+    return gc;
+}
+
 HostLineEdit *VideoStartupDirectory()
 {
     HostLineEdit *gc = new HostLineEdit("VideoStartupDir");
@@ -780,6 +840,20 @@
     VConfigPage page7(pages, false);
     page7->addChild(trlr);
 
+    // page 8
+    VerticalConfigurationGroup *tvman =
+            new VerticalConfigurationGroup(true, false);
+    tvman->setLabel(QObject::tr("Television in MythVideo"));
+    tvman->addChild(SearchTVListingsCommand());
+    tvman->addChild(GetTVPostersCommand());
+    tvman->addChild(GetTVFanartCommand());
+    tvman->addChild(GetTVBannerCommand());
+    tvman->addChild(GetTVDataCommand());
+    tvman->addChild(GetTVTitleSubCommand());
+
+    VConfigPage page8(pages, false);
+    page8->addChild(tvman);
+
     int page_num = 1;
     for (ConfigPage::PageList::const_iterator p = pages.begin();
          p != pages.end(); ++p, ++page_num)
Index: mythplugins/mythvideo/mythvideo/videofilter.h
===================================================================
--- mythplugins/mythvideo/mythvideo/videofilter.h	(revision 20848)
+++ mythplugins/mythvideo/mythvideo/videofilter.h	(working copy)
@@ -54,7 +54,8 @@
         kOrderByUserRatingDescending = 2,
         kOrderByLength = 3,
         kOrderByFilename = 4,
-        kOrderByID = 5
+        kOrderByID = 5,
+        kOrderBySeasonEp = 6
     };
 
     int GetCategory() const { return category; }
Index: mythplugins/mythvideo/mythvideo/dbcheck.cpp
===================================================================
--- mythplugins/mythvideo/mythvideo/dbcheck.cpp	(revision 20848)
+++ mythplugins/mythvideo/mythvideo/dbcheck.cpp	(working copy)
@@ -38,7 +38,7 @@
     const QString lastMythDVDDBVersion = "1002";
     const QString lastMythVideoVersion = "1010";
 
-    const QString currentDatabaseVersion = "1023";
+    const QString currentDatabaseVersion = "1024";
 
     const QString OldMythVideoVersionName = "VideoDBSchemaVer";
     const QString OldMythDVDVersionName = "DVDDBSchemaVer";
@@ -834,6 +834,17 @@
             performActualUpdate(updates, "1023", dbver, MythVideoVersionName);
         }
 
+        if (dbver == "1023")
+        {
+            QStringList updates;
+            updates += "ALTER TABLE videometadata ADD `subtitle` TEXT "
+                       "NOT NULL AFTER `title`;";
+            updates += "ALTER TABLE videometadata ADD `season` SMALLINT "
+                       "UNSIGNED NOT NULL DEFAULT '0' AFTER `length`;";
+            updates += "ALTER TABLE videometadata ADD `episode` SMALLINT "
+                       "UNSIGNED NOT NULL DEFAULT '0' AFTER `season`;";
+            performActualUpdate(updates, "1024", dbver, MythVideoVersionName);
+        }
 
     }
 }
Index: mythplugins/mythvideo/mythvideo/videoutils.cpp
===================================================================
--- mythplugins/mythvideo/mythvideo/videoutils.cpp	(revision 20848)
+++ mythplugins/mythvideo/mythvideo/videoutils.cpp	(working copy)
@@ -139,6 +139,16 @@
     return QString("%1 minutes").arg(length);
 }
 
+QString GetDisplaySeasonEpisode(int seasEp, int digits)
+{
+    QString seasEpNum = QString::number(seasEp);
+
+    if (digits == 2 && seasEpNum.size() < 2)
+        seasEpNum.prepend("0");
+        
+    return seasEpNum;
+}
+
 QString GetDisplayBrowse(bool browse)
 {
     return browse ? QObject::tr("Yes") : QObject::tr("No");
Index: mythplugins/mythvideo/mythvideo/editmetadata.h
===================================================================
--- mythplugins/mythvideo/mythvideo/editmetadata.h	(revision 20848)
+++ mythplugins/mythvideo/mythvideo/editmetadata.h	(working copy)
@@ -10,6 +10,7 @@
 class MythUIText;
 class MythUITextEdit;
 class MythUIButton;
+class MythUISpinBox;
 class MythUICheckBox;
 
 class EditMetadataDialog : public MythScreenType
@@ -34,8 +35,11 @@
   public slots:
     void SaveAndExit();
     void SetTitle();
+    void SetSubtitle();
     void SetCategory(MythUIButtonListItem*);
     void SetPlayer();
+    void SetSeason();
+    void SetEpisode();
     void SetLevel(MythUIButtonListItem*);
     void SetChild(MythUIButtonListItem*);
     void ToggleBrowse();
@@ -60,7 +64,10 @@
     //
 
     MythUITextEdit      *m_titleEdit;
+    MythUITextEdit      *m_subtitleEdit;
     MythUITextEdit      *m_playerEdit;
+    MythUISpinBox       *m_seasonSpin;
+    MythUISpinBox       *m_episodeSpin;
     MythUIButtonList      *m_categoryList;
     MythUIButtonList      *m_levelList;
     MythUIButtonList      *m_childList;
